package com.boman.system.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.boman.system.common.MainTableRecord;
import com.boman.system.common.RowResult;
import com.boman.system.common.TableServiceContext;
import com.boman.system.mapper.StandardlyMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.sql.Timestamp;

/**
 * @author shiqian
 * @description
 * @date 2021年03月22日 11:25
 **/
@Component
public class BaseSaveService {

    private static final Logger LOGGER = LoggerFactory.getLogger(BaseSaveService.class);

    @Autowired
    private StandardlyMapper mapper;

    public RowResult insertRow(TableServiceContext context, MainTableRecord row, Timestamp currentTime) {
        JSONObject commitData = row.getMainData().getCommitData();
        commitData.put("CREATE_TIME", currentTime);
        commitData.put("CREATE_BY", "张三");
        commitData.put("UPDATE_BY", "张三");
        commitData.put("UPDATE_TIME", currentTime);
        int ret = mapper.insert(context.getRealTableName(), commitData);
        if (ret > 0) {
            commitData.put("successCnt", ret);
            return RowResult.ok("保存成功", commitData);
        }

        return RowResult.error("失败");
    }

    public RowResult insertRow(String tableName, String pkName, Long maxId, MainTableRecord row) {
        JSONObject commitData = row.getMainData().getCommitData();
        Timestamp currentTime = new Timestamp(System.currentTimeMillis());
        commitData.put("CREATE_TIME", currentTime);
        commitData.put("CREATE_BY", "张三");
        commitData.put("UPDATE_BY", "张三");
        commitData.put("UPDATE_TIME", currentTime);
        commitData.put(pkName.toUpperCase(), maxId);
        int ret = mapper.insert(tableName, commitData);
        if (ret > 0) {
            commitData.put("successCnt", ret);
            return RowResult.ok("保存成功", commitData);
        }

        return RowResult.error("失败");
    }

}
